This page is a wiki. Please login or create an account to begin editing.


Frontier 1

Rating:
No votes yet
Category:
Year released:
Author:
Publisher:
#1
[www].se [ftp].se [mirror].us [mirror].de
userland_frontier_1.0.sit (961.44 KB)
MD5: c5f00c87dd67afd255bcec67e58fc19a
For System 7.0 - 7.6 - Mac OS 8 - 8.1
#2
[www].se [ftp].se [mirror].us [mirror].de
UserLand-Frontier-1x.sit (1.09 MB)
MD5: 7022f8b4abbd950ca655134e601256b1
For System 7.0 - 7.6 - Mac OS 8 - 8.1
[www].se [ftp].se [mirror].us [mirror].de
Frontier-1-Brochure.pdf
Emulation
This app works with: Mini vMac Mini vMac II

Frontier began to be developed in the late 1980s. Based on Pascal syntax, and having much integration with the Finder, UserLand had attempted to have Apple acquire the product. However, terms could not be agreed upon. In the end, Apple and UserLand decided to create separate, but compatible, products. This download contains the first release of Frontier, which did well, until Apple released their product, AppleScript. UserLand struggled to compete with the freely available product, and had difficulties trying to keep their product compatible with AppleScript, something Apple did little help. Though it was originally a commercial product, it was released as open source under the GPL license in 2004. Versions can be found for both Mac OS 9 and Mac OS X, as well as Windows, here: http://frontierkernel.org/ UserLand still exists, and continues to develop Manilla and Radio UserLand, both web publishing products.

See Also: AppleScript: The Beta Release, AppleScript 1.1, AppleScript 1.8.3, AppleScript Language Guide (PDF), FaceSpan 2.1, FaceSpan 3, FaceSpan 4.3, Frontier 4, Script Debugger 1.0, Script Debugger 3.0, Smile

Compatibility
Architecture: 68k

Requires:
Mac OS 7.0
1.0 MB RAM
Hard Disk Drive

Mac OS 9 Compatibility is Unknown

Even though it states requiring SSW 7.0 or later, it installs on System 6.0.8 and seems to run fine on that OS. Color screenshots above were all taken on Mini vMac (Mac II) running SSW 6.0.8. Frontier reported it as SSW 6.0.7

Someone with knowledge of Frontier may want to experiment with this version under SSW 6 to discover these capabilities in greater depth.

Includes Frontier 1.x SDK disk.